| Using the Command-Line Utility |
| To perform a transformation, you can call Xalan-Java from the command line (or script), an applet, an application, or a servlet (see Usage Patterns). The org.apache.xalan.xslt.Process main() method provides a command-line interface for performing XSL transformation. To perform a transformation from the command line or a script, do the following: Download Xalan-Java. Set the java class path to include xalan.jar and xerces.jar Call java and the Process class with the appropriate flags and arguments (described below). The following command line, for example, includes the -IN, -XSL, and -OUT flags with their accompanying arguments -- the XML source document, the XSL stylesheet, and the output file: `java org.apache.xalan.xslt.Process -IN foo.xml -XSL foo.xsl -OUT foo.out` The command line utility can take the following flags and arguments (the flags are case insensitive):
    -IN inputXMLURL
    -XSL XSLTransformationURL
    -OUT outputFileName
    -V (Version info)
    -QC (Quiet Pattern Conflicts Warnings)
    -Q  (Quiet Mode)
    -LF (Use linefeeds only on output -- default is CR/LF)
    -CR (Use carriage returns only on output -- default is CR/LF)
    -TT (Trace the templates as they are being called)
    -TG (Trace each result tree generation event)
    -TS (Trace each selection event)
    -TTC (Trace the template children as they are being processed)
    -VALIDATE (Validate the XML and XSL input -- validation is off by default)
    -EDUMP [optional]FileName (Do stackdump on error)
    -XML (Use XML formatter and add XML header)
    -TEXT (Use simple Text formatter)
    -HTML (Use HTML formatter)
    -PARAM name expression (Set a stylesheet parameter)
Use -IN to specify the XML source document. Use -XSL to specify the XSL stylesheet file. Use -OUT to specify the output file. If you omit this flag and argument, the processor prints the output to the screen. Use -TEXT if you want the output to include only element values (not element tags with element names and attributes). Use -HTML to write 4.0 transitional HTML (some elements, such as <br>, are not well formed XML. To set stylesheet parameters from the command line, use `TestXSLT -PARAM name expression` To set the parameter to a string value, enclose the string in single quotes (') to make it an expression.

Copyright © 2000 The Apache Software Foundation. All Rights Reserved.